import request from '~/api/request';
Page({

  /**
   * 页面的初始数据
   */
  data: {
    list: []
  },

  toPath(){
    wx.navigateTo({
      url: '/pages/AddTherapeuticRegimen/index',
    })
  },

  async toPathDetails(e){
    const data = this.data.list[e.currentTarget.dataset.index] 
    await wx.setStorageSync('therapeuticRegimen',JSON.stringify(data));
    wx.navigateTo({
      url: `/pages/AddTherapeuticRegimen/index?id=${data.id}`,
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    
  },

  async getList(){
    const res = await request('patient/medicine_schemes', 'get', {
      page: 1,
      page_size: 30,
    })
    const today = new Date()
    const list = res.list.map(item => {
      const startDate = new Date(item.start_date)
      const endDate = new Date(item.end_date)
      if (today > endDate) {
        item.status = '已结束'
      } else if (today < startDate) {
        item.status = '未开始'
      } else {
        item.status = '进行中'
      }
        item.detail = JSON.parse(item.detail)
      return item
    })
    this.setData({
      list: list
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {
    
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.getList()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})